%define name ktalkd
%define version 0.8.9
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: K Desktop Environment Talk daemon
Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/KDE/Applications/Networking
Copyright: GPL
Source: %{name}-%{version}.tgz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0

%changelog

%description
Ktalkd is a full feature KDE specific talk daemon.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT \
	--disable-path-checks
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT/%{prefix} install-strip

%files
# %doc TODO ChangeLog
%attr(755,root,root) %{prefix}/bin/ktalkd
%attr(755,root,root) %{prefix}/bin/kotalkd
%attr(755,root,root) %{prefix}/bin/mail.local
%attr(755,root,root) %{prefix}/bin/kcmktalkd
%attr(755,root,root) %{prefix}/bin/ktalkdlg

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/config
%attr( - ,root,root) %{prefix}/share/locale
%attr( - ,root,root) %{prefix}/share/sounds
%attr( - ,root,root) %{prefix}/share/doc

# %attr(644,root,root) %{prefix}/share/icons/*.xpm
# %attr(644,root,root) %{prefix}/share/icons/mini/*.xpm

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}
